#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
# -*- coding: utf-8 -*-


import numpy
from psycopg2.extensions import AsIs, register_adapter

from .files import *
from .metadata import *


def addapt_numpy_float32(numpy_float32):
    return AsIs(numpy_float32)


register_adapter(numpy.float32, addapt_numpy_float32)

__all__ = [
    "SDM",
    "SDMTable",
    "SDMBinaryTable",
    "buildtable",
    "ngasstatus",
    "archivefile",
    "retrievefile",
    "ingest",
    "ingestBDF",
    "ingestSDM",
    "ingestmetadata",
]
